Upload multiple media files
curl --request POST \
--url https://api.lindo.ai/v1/workspace/website/{website_id}/media/upload/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"files": [
{
"file_base64": "<string>",
"file_name": "<string>",
"media_type": "images",
"content_type": "<string>"
}
]
}
'import requests
url = "https://api.lindo.ai/v1/workspace/website/{website_id}/media/upload/batch"
payload = { "files": [
{
"file_base64": "<string>",
"file_name": "<string>",
"media_type": "images",
"content_type": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
files: [
{
file_base64: '<string>',
file_name: '<string>',
media_type: 'images',
content_type: '<string>'
}
]
})
};
fetch('https://api.lindo.ai/v1/workspace/website/{website_id}/media/upload/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"uploaded": [
{
"url": "https://cdn.ln-cdn.com/c/website_abc123/images/hero-image.jpg",
"file_name": "hero-image.jpg",
"media_type": "images",
"success": true,
"error": "File too large"
}
],
"total": 5,
"successful": 5,
"failed": 0
}
}{
"success": false,
"errors": [
"Client already exists"
],
"message": "Validation failed"
}{
"success": false,
"errors": [
"Client already exists"
],
"message": "Validation failed"
}{
"success": false,
"errors": [
"Client already exists"
],
"message": "Validation failed"
}{
"success": false,
"errors": [
"Client already exists"
],
"message": "Validation failed"
}Media Management
Upload multiple media files
Uploads multiple media files in a single request (max 20 files). Returns CDN URLs for all uploaded files with individual success/failure status.
POST
/
v1
/
workspace
/
website
/
{website_id}
/
media
/
upload
/
batch
Upload multiple media files
Authorizations
Enter your API key (starts with lindo_sk_)
Path Parameters
Unique identifier of the website
Example:
"ws_abc123"
Body
application/json
Array of files to upload (max 20 files per request)
Maximum array length:
20Show child attributes
Show child attributes
Was this page helpful?
⌘I

